| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Properties | List of all members
IG.Num.IFunc3d Interface Reference

Represents scalar functions of 2 variables. More...

Inheritance diagram for IG.Num.IFunc3d:
[legend]

## Public Member Functions
double | Value (double x, double y, double z)
| Calculates and returns value of the current 3D scalar function. More...
double | Value (vec3 parameters)
| Calculates and returns value of the current 3D scalar function. More...
void | Gradient (double x, double y, double z, out double gradx, out double grady, out double gradz)
| Calculates gradient of the current 3D scalar function and returns its components through the specified output variables. More...
vec3 | Gradient (vec3 parameters)
| Calculates and returns gradient of the current 3D scalar function. More...
void | Hessian (double x, double y, double z, out double dxx, out double dyy, out double dzz, out double dxy, out double dxz, out double dyz)
| Calculates Hessian of the current 3D scalar function and returns its component through the specified output variables. More...
mat3 | Hessian (vec3 parameters)
| Calculates and returns Hessian of the current 3D scalar function and returns it (in the form of a mat3 struct). More...

## Properties
bool | ValueDefined`[get]`
| Whether calculation of function value is defined. More...
bool | GradientDefined`[get]`
| Whether calculation of function ngradient is defined. More...
bool | HessianDefined`[get]`
| Whether calculation of function Hessian is defined. More...

## Detailed Description

Represents scalar functions of 2 variables.

$A Igor Apr09;

## Member Function Documentation

double IG.Num.IFunc3d.Value | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |

Calculates and returns value of the current 3D scalar function.

Parameters

  x | First parameter.
  y | Second parameter.
  z | Third parameter.

Implemented in IG.Gr3d.ExampleValueFunctionDiff3D, IG.Gr3d.VtkPlotBase.ExampleValueFunctionDiff21, IG.Gr3d.VtkPlotBase.Func3dZero, IG.Gr3d.VtkPlotBase.Func3dZ, IG.Num.Func3dExamples.Func3dXYZ, IG.Num.Func3dVectorFormBase, IG.Num.Func3dBase, and IG.Num.Func3dFromScalarFunction.

Referenced by IG.Num.Field< TElement >.MapCoordinatesPlain(), IG.Num.Field< TElement >.MapCoordinatesToScalarsPlain(), and IG.Num.Func3dBase.TestFunction().

double IG.Num.IFunc3d.Value | ( | vec3 | parameters | ) |

Calculates and returns value of the current 3D scalar function.

Parameters

  parameters | Vector of function parameters (in form of the vec3) struct.

Returns
  Function value.

Implemented in IG.Num.Func3dQuadratic, IG.Num.Func3dLinear, IG.Num.Func3dVectorFormBase, and IG.Num.Func3dBase.

void IG.Num.IFunc3d.Gradient | ( | double | x,
|  | double | y,
|  | double | z,
|  | out double | gradx,
|  | out double | grady,
|  | out double | gradz
| ) |  |

Calculates gradient of the current 3D scalar function and returns its components through the specified output variables.

Parameters

  x | First parameter.
  y | Second parameter.
  z | Third parameter.
  gradx | First component of the returned gradient.
  grady | Second component of the returned gradient.
  gradz | Third component of the returned gradient.

Implemented in IG.Gr3d.VtkPlotBase.Func3dZero, IG.Gr3d.VtkPlotBase.Func3dZ, IG.Num.Func3dExamples.Func3dXYZ, IG.Num.Func3dVectorFormBase, IG.Num.Func3dBase, IG.Num.Func3dBaseNoGradient, and IG.Num.Func3dFromScalarFunction.

Referenced by IG.Num.Func3dBase.TestFunction().

vec3 IG.Num.IFunc3d.Gradient | ( | vec3 | parameters | ) |

Calculates and returns gradient of the current 3D scalar function.

Parameters

  parameters | Vector of parameters (in form of the vec3 struct)

<returnreturns>Gradient of the current 3D scalar function (in form of the vec3 struct)</returnreturns>

Implemented in IG.Num.Func3dQuadratic, IG.Num.Func3dLinear, IG.Num.Func3dVectorFormBase, and IG.Num.Func3dBase.

void IG.Num.IFunc3d.Hessian | ( | double | x,
|  | double | y,
|  | double | z,
|  | out double | dxx,
|  | out double | dyy,
|  | out double | dzz,
|  | out double | dxy,
|  | out double | dxz,
|  | out double | dyz
| ) |  |

Calculates Hessian of the current 3D scalar function and returns its component through the specified output variables.

Parameters

  x | First parameter.
  y | Second parameter.
  z | Third parameter.
  dxx | Component 1-1 of the calculated Hessian.
  dyy | Component 2-2 of the calculated Hessian.
  dzz | Component 3-3 of the calculated Hessian.
  dxy | Component 1-2 of the calculated Hessian.
  dxz | Component 1-3 of the calculated Hessian.
  dyz | Component 2-3 of the calculated Hessian.

Implemented in IG.Num.Func3dVectorFormBase, IG.Num.Func3dBase, IG.Num.Func3dBaseNoGradient, IG.Num.Func3dBaseNoHessian, and IG.Num.Func3dFromScalarFunction.

mat3 IG.Num.IFunc3d.Hessian | ( | vec3 | parameters | ) |

Calculates and returns Hessian of the current 3D scalar function and returns it (in the form of a mat3 struct).

Implemented in IG.Num.Func3dQuadratic, IG.Num.Func3dLinear, IG.Num.Func3dVectorFormBase, and IG.Num.Func3dBase.

## Property Documentation

bool IG.Num.IFunc3d.ValueDefined
| get

Whether calculation of function value is defined.

Referenced by IG.Num.Func3dBase.TestFunction().

bool IG.Num.IFunc3d.GradientDefined
| get

Whether calculation of function ngradient is defined.

Referenced by IG.Num.Func3dBase.TestFunction().

bool IG.Num.IFunc3d.HessianDefined
| get

Whether calculation of function Hessian is defined.

The documentation for this interface was generated from the following file:

- igbase/numeric/geometry/Function3d.cs